Bug 253968 - dhcp6s segfaults
dhcp6s segfaults
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 07:00 EDT by Ashish Shukla
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.10-44.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 23:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ashish Shukla 2007-08-23 07:00:53 EDT
Description of problem:
Running dhcp6s with sample configuration (or any configuration) results in
segfaulting.

Version-Release number of selected component (if applicable):
dhcpv6-0.10-42.fc7

How reproducible:
Reproducible everytime.

Steps to Reproduce:
1. Login as root.
2. Execute following command:

#/usr/sbin/dhcp6s -Df -c /usr/share/doc/dhcpv6-0.10/dhcp6s.conf eth0

Actual results:
[root@chatteau ~]# dhcp6s -Df -c /usr/share/doc/dhcpv6-0.10/dhcp6s.conf eth2
Aug/23/2007 16:19:53 extracted an existing DUID from
/var/lib/dhcpv6/dhcp6s_duid: 00:01:00:01:0e:60:1f:31:00:08:5c:5b:f4:13
Aug/23/2007 16:19:53 set timer for syncing file ...
Segmentation fault


Expected results:
No segmentation fault.

Additional info:
-- begin dump --
[root@chatteau ~]# gdb dhcp6s
GNU gdb Red Hat Linux (6.6-15.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Using host libthread_db library "/lib64/libthread_db.so.1".
(gdb) run  -Df -c /usr/share/doc/dhcpv6-0.10/dhcp6s.conf eth2
Starting program: /usr/sbin/dhcp6s -Df -c /usr/share/doc/dhcpv6-0.10/dhcp6s.conf
eth2
Aug/23/2007 16:25:41 extracted an existing DUID from
/var/lib/dhcpv6/dhcp6s_duid: 00:01:00:01:0e:60:1f:31:00:08:5c:5b:f4:13
Aug/23/2007 16:25:41 set timer for syncing file ...

Program received signal SIGSEGV, Segmentation fault.
lyylex () at lex.lyy.c:1278
1278                    *yy_cp = (yy_hold_char);
(gdb) bt
#0  lyylex () at lex.lyy.c:1278
#1  0x0000000000408da5 in init_leases (name=<value optimized out>) at lease.c:194
#2  0x0000000000403c07 in main (argc=5, argv=0x7fff9a561d20) at dhcp6s.c:235
#3  0x000000353a61dab4 in __libc_start_main () from /lib64/libc.so.6
#4  0x0000000000401ea9 in _start ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y
-- end dump --
Comment 1 Juha Luoma 2007-09-04 03:18:43 EDT
Also on i386.
Comment 2 David Cantrell 2007-09-04 14:39:41 EDT
I have fixed this problem in the dhcpv6 package in rawhide and F-7.  I have
posted an update for F-7 as the dhcpv6-0.10-43.fc7 package.

Thanks.
Comment 3 Fedora Update System 2007-09-04 18:07:34 EDT
dhcpv6-0.10-43.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Juha Luoma 2007-09-05 05:01:52 EDT
I'm still getting same problem with dhcpv6-0.10-43.fc7.
Comment 5 Fedora Update System 2007-09-12 12:41:27 EDT
dhcpv6-0.10-44.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Juha Luoma 2007-09-14 02:47:13 EDT
dhcpv6-0.10-44.fc7 on i386 does not crash any more.
Comment 7 Fedora Update System 2007-09-17 23:21:37 EDT
dhcpv6-0.10-44.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.